Package org.eclipse.net4j.util.ui.widgets

# Class BaseDialog<VIEWER extends Viewer>

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jface.dialogs.TrayDialog
org.eclipse.jface.dialogs.TitleAreaDialog
org.eclipse.net4j.util.ui.widgets.BaseDialog<VIEWER>

All Implemented Interfaces:
  `IShellProvider`

Direct Known Subclasses:
  `CredentialsDialog`, `LogDialog`

public abstract class BaseDialog<VIEWER extends Viewer> extends TitleAreaDialog

Since:
  3.4
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_SHELL_STYLE`

### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`BaseDialog(Shell parentShell, int shellStyle, String title, String message, IDialogSettings settings)`
`BaseDialog(Shell parentShell, int shellStyle, String title, String message, IDialogSettings settings, ImageDescriptor descriptor)`
`BaseDialog(Shell parentShell, String title, String message, IDialogSettings settings)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`close()`
`protected Control`
`createDialogArea(Composite parent)`
`protected abstract void`
`createUI(Composite parent)`
`protected void`
`fillContextMenu(IMenuManager manager, VIEWER viewer)`
`VIEWER`
`getCurrentViewer()`
`protected IDialogSettings`
`getDialogBoundsSettings()`
`protected IDialogSettings`
`getDialogSettings()`
`protected IDialogSettings`
`getDialogSettings(String sectionName)`
`protected void`
`hookContextMenu()`
`void`
`setCurrentViewer(VIEWER currentViewer)`

### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_SHELL_STYLE

public static final int DEFAULT_SHELL_STYLE

See Also:
  - Constant Field Values

## Constructor Details

### BaseDialog

public BaseDialog(Shell parentShell, int shellStyle, String title, String message, IDialogSettings settings, ImageDescriptor descriptor)

Since:
  3.4

### BaseDialog

public BaseDialog(Shell parentShell, int shellStyle, String title, String message, IDialogSettings settings)

### BaseDialog

public BaseDialog(Shell parentShell, String title, String message, IDialogSettings settings)

## Method Details

### createDialogArea

protected Control createDialogArea(Composite parent)

Overrides:
  `createDialogArea` in class `TitleAreaDialog`

### createUI

protected abstract void createUI(Composite parent)

### getCurrentViewer

public VIEWER getCurrentViewer()

### setCurrentViewer

public void setCurrentViewer(VIEWER currentViewer)

### hookContextMenu

protected void hookContextMenu()

### fillContextMenu

protected void fillContextMenu(IMenuManager manager, VIEWER viewer)

### getDialogSettings

protected IDialogSettings getDialogSettings()

Since:
  3.4

### getDialogSettings

protected IDialogSettings getDialogSettings(String sectionName)

Since:
  3.4

### getDialogBoundsSettings

protected IDialogSettings getDialogBoundsSettings()

Overrides:
  `getDialogBoundsSettings` in class `Dialog`

### close

public boolean close()

Overrides:
  `close` in class `Dialog`